Redmine - Defect #28523

Display horizontal scroll bar of plugins table when overflow occurs on small screen
2018-04-10 13:20 - Eduard Panov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ul - Responsive Estimated time: 0.00 hour
Target version: 3.4.6

Resolution: Fixed Affected version: 3.3.0
Description

On small screens (mobile phone) not scrolling table on plugin page (/admin/plugins).
Need wrap <table> in <div class="autoscroll"> tag to fix that.

Related issues:
Related to Redmine - Defect #24309: Setting page for repository does not scro... Closed

Associated revisions

Revision 17296 - 2018-04-12 02:48 - Go MAEDA

Display horizontal scroll bar of plugins table when overflow occurs on small screen (#28523).

Patch by Eduard Panov.

Revision 17297 - 2018-04-12 02:50 - Go MAEDA
Merged r17296 from trunk to 3.4-stable (#28523).

History

#1 - 2018-04-10 13:33 - Go MAEDA
- File screenshot@2x.png added

Confirmed the problem.

v Jump to a pro...

Plugins

Example plugin

This is a sample plugin Author name
for Redmine bbbbbbbbbbbbbbbbl}
aaaaaaaaaaaaaaaaaaaa

Check for updates
#2 - 2018-04-11 14:19 - Go MAEDA
- File 28523.diff added
- Target version set to 3.4.6

- Affected version changed from 3.4.0 to 3.3.0

Here is a patch suggested by Eduard Panov.
Setting target version to 3.4.6.

#3 - 2018-04-12 02:51 - Go MAEDA

- Subject changed from Not scrolling table on plugin page to Display horizontal scrollbar for plugins table if it overflows on small screens
- Category changed from Administration to Ul - Responsive

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you for pointing it out.

#4 - 2018-04-12 02:54 - Go MAEDA

- Subject changed from Display horizontal scrollbar for plugins table if it overflows on small screens to Display horizontal scroll bar of plugins table

when overflow occurs on small screen

#5 - 2018-06-04 12:02 - Go MAEDA

- Related to Defect #24309: Setting page for repository does not scroll horizontally on small screens added

Files
screenshot@2x.png 16.1 KB 2018-04-10 Go MAEDA
28523.diff 2.05 KB 2018-04-11 Go MAEDA
